> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List employee's entity schedule templates

> List all entity schedule templates assigned to an employee



## OpenAPI

````yaml GET /schedule/v1/employees/{employeeId}/entity-schedule-templates
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/employees/{employeeId}/entity-schedule-templates:
    get:
      tags:
        - Employee Schedule Templates
      summary: List employee's entity schedule templates
      description: List all entity schedule templates assigned to an employee
      operationId: ListEmployeeEntityScheduleTemplates
      parameters:
        - in: path
          name: employeeId
          description: Employee ID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: List of entity to schedule templates
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        createdAt:
                          type: string
                        current:
                          type: boolean
                        entityId:
                          type: string
                          format: uuid
                        entityType:
                          type: string
                          example: employee
                        startDate:
                          type: string
                          example: '2025-01-01'
                        endDate:
                          type: string
                          example: '2025-12-31'
                        scheduleTemplateId:
                          type: string
                          format: uuid
                        scheduleTemplate:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            createdAt:
                              type: string
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````